<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template name="WelcomeMessage">
		<xsl:choose>
			<xsl:when test="name(.) = 'subpage'">
				<xsl:value-of select="$nbsp"/>
				<xsl:value-of select="string(parent::page/parent::place/parent::persona/theme/header/welcomeMsg/@value)"/>
				<xsl:value-of select="$nbsp"/>
				<b>
					<xsl:value-of select="string(parent::page/parent::place/parent::persona/@nameFirst)"/>
					<xsl:value-of select="$nbsp"/>
					<xsl:value-of select="string(parent::page/parent::place/parent::persona/@nameLast)"/>
				</b>,
					<xsl:value-of select="$nbsp"/>
					<xsl:value-of select="string(parent::page/parent::place/parent::persona/@jobRole)"/>
			</xsl:when>
			<xsl:when test="name(.) = 'page'">
				<xsl:value-of select="$nbsp"/>
				<xsl:value-of select="string(parent::place/parent::persona/theme/header/welcomeMsg/@value)"/>
				<xsl:value-of select="$nbsp"/>
				<b>
					<xsl:value-of select="string(parent::place/parent::persona/@nameFirst)"/>
					<xsl:value-of select="$nbsp"/>
					<xsl:value-of select="string(parent::place/parent::persona/@nameLast)"/>
				</b>,
					<xsl:value-of select="$nbsp"/>
					<xsl:value-of select="string(parent::place/parent::persona/@jobRole)"/>
			</xsl:when>
			<xsl:when test="name(.) = 'place'">
				<xsl:value-of select="$nbsp"/>
				<xsl:value-of select="string(parent::persona/theme/header/welcomeMsg/@value)"/>
				<xsl:value-of select="$nbsp"/>
				<b>
					<xsl:value-of select="string(parent::persona/@nameFirst)"/>
					<xsl:value-of select="$nbsp"/>
					<xsl:value-of select="string(parent::persona/@nameLast)"/>
				</b>,
					<xsl:value-of select="$nbsp"/>
					<xsl:value-of select="string(parent::persona/@jobRole)"/>
			</xsl:when>
			<xsl:otherwise>Welcome message module: invalid context node [<xsl:value-of select="name(.)"/>]
				<br/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
