<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template name="Header3">
		<xsl:param name="themeName"/>
		<xsl:param name="searchWidget"/>
		<script language="javascript" type="text/javascript" src="../includes/date.js"/>
		<table width="100%" border="0" cellpadding="0" cellspacing="0" class="wpsToolbarBannerBackground">
			<tr>
				<td width="60%" height="86" valign="top" nowrap="nowrap">
					<img src="../images/spacer.gif" width="1" height="1" alt="" border="0"/>
				</td>
				<td width="40%" align="right" valign="bottom">
					<img border="0" alt="education activity 0" hspace="1">
						<xsl:attribute name="src">../themes/<xsl:value-of select="$themeName"/>/headerRight0.gif</xsl:attribute>
					</img>
					<img border="0" alt="education activity 1" hspace="1">
						<xsl:attribute name="src">../themes/<xsl:value-of select="$themeName"/>/headerRight1.gif</xsl:attribute>
					</img>
					<img border="0" alt="education activity 2" hspace="1">
						<xsl:attribute name="src">../themes/<xsl:value-of select="$themeName"/>/headerRight2.gif</xsl:attribute>
					</img>
				</td>
			</tr>
			<tr class="wpsDemoPlaceTabBarBGColor1">
				<td colspan="2" height="1">
					<spacer height="1" width="1" type="block"/>
				</td>
			</tr>
			<tr style="background-color:#0051c6;">
				<td nowrap="nowrap">
					<span style="color:#ffffff; font-weight:bold; font-size: xx-small; padding-left:5px; padding-right:10px;">
						<xsl:value-of select="/design/@label"/>
						<span>&#160;&gt;&#160;</span>
						<xsl:choose>
							<xsl:when test="name(.) = 'subpage' ">
								<xsl:value-of select="parent::page/parent::place/@label"/>
							</xsl:when>
							<xsl:when test="name(.) = 'page' ">
								<xsl:value-of select="parent::place/@label"/>
							</xsl:when>
							<xsl:when test="name(.) = 'place' ">
								<xsl:value-of select="@label"/>
							</xsl:when>
						</xsl:choose>
					</span>
				</td>
				<td nowrap="nowrap">
					<xsl:call-template name="UtilityLinks"/>
				</td>
			</tr>
			<tr class="wpsDemoPlaceTabBarBGColor1">
				<td colspan="2" height="1">
					<spacer height="1" width="1" type="block"/>
				</td>
			</tr>
			<tr style="background-color:#e7effe; padding:4px;">
				<td nowrap="nowrap">
					<xsl:call-template name="WelcomeMessage"/>
				</td>
				<td align="right">
					<script language="JavaScript" xml:space="preserve">
						document.write(dayName + ",&#160;");
						document.write(monthName + "&#160;");
						document.write(day +",&#160;");
						document.write(year);
					</script>
				</td>
			</tr>
			<tr class="wpsDemoPlaceTabBarBGColor">
				<td nowrap="nowrap" colspan="2">
					<table cellpadding="0" cellspacing="0" border="0" width="100%">
						<tr>
							<td nowrap="nowrap">
								<xsl:call-template name="Place"/>
							</td>
							<td width="50%" align="right">
								<input type="text" style="width:70%"/>
							</td>
							<td>
								<img src="../images/spacer.gif" alt="" width="10" height="1"/>
							</td>
							<td nowrap="nowrap">
								<a href="#" class="wpsToolBarLink">search site &gt;&gt;</a>
							</td>
							<td>
								<img src="../images/spacer.gif" alt="" width="10" height="1"/>
							</td>
							<td nowrap="nowrap">
								<a href="#" class="wpsToolBarLink">Advanced Search</a>
							</td>
							<td>
								<img src="../images/spacer.gif" alt="" width="10" height="1"/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td height="1" colspan="2" class="wpsDemoPlaceTabBarBGColor1">
					<spacer type="block" width="1" height="1"/>
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>
